# $Id: ipoibcfg.spec.in 28 2004-04-07 20:00:33Z roland $

%define prefix /
%define ver      0.9.0
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define suse %(if [ -e /etc/SuSE-release ]; then echo 1; else echo 0; fi;)
%define redhat %(if [ -e /etc/redhat-release ]; then echo 1; else echo 0; fi;)


Summary: Some InfiniBand tools and utilities that are part of Voltaire's GridStack
Name: ib-enhanced-services
Version: %ver
Release: %{rel}%{?dist}
License: Dual GPL/BSD
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: http://openib.org/downloads/%{name}-%{version}.tar.gz
Url: http://openib.org/

%description
ib-enhanced-services is a voltaire expansion to the common InfiniBand software
%prep
%setup -q

%build
make -C gvd

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/voltaire/fw
mkdir -p ${RPM_BUILD_ROOT}/usr/local/bin
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
mkdir -p ${RPM_BUILD_ROOT}/etc/modprobe.d
%if %{suse}
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig/network
%endif
%if %{redhat}
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig/network-scripts
%endif
cp firmware/*.img ${RPM_BUILD_ROOT}/usr/voltaire/fw
cp firmware/*.bin ${RPM_BUILD_ROOT}/usr/voltaire/fw
cp ib-burn ${RPM_BUILD_ROOT}/usr/local/bin
cp ib-config-as-eth ${RPM_BUILD_ROOT}/usr/local/bin
cp common.sh ${RPM_BUILD_ROOT}/usr/voltaire
cp linux-dist-name ${RPM_BUILD_ROOT}/usr/voltaire
cp config-auto-vlans ${RPM_BUILD_ROOT}/usr/voltaire
cp version ${RPM_BUILD_ROOT}/usr/voltaire
cp functions-ib.diff ${RPM_BUILD_ROOT}/usr/voltaire
cp gridstack ${RPM_BUILD_ROOT}/etc/init.d
cp modprobe.conf.voltaire ${RPM_BUILD_ROOT}/etc/modprobe.d
cp dhclient.conf ${RPM_BUILD_ROOT}/usr/voltaire
cp gvd/gvd ${RPM_BUILD_ROOT}/usr/voltaire/
cp gvd/gvdctl ${RPM_BUILD_ROOT}/usr/voltaire/
cp gvd/gvd.conf ${RPM_BUILD_ROOT}/etc/

%if %{suse}
cp ifup-pre-ib ${RPM_BUILD_ROOT}/etc/sysconfig/network/
cp ifdown-post-ib ${RPM_BUILD_ROOT}/etc/sysconfig/network/
%endif
%if %{redhat}
cp ifdown-post-ib ${RPM_BUILD_ROOT}/etc/sysconfig/network-scripts/
cp ifup-pre-ib ${RPM_BUILD_ROOT}/etc/sysconfig/network-scripts/
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%post 

%pre

%preun

%postun 

%files
%defattr(-,root,root,-)
%{prefix}/usr/local/bin/ib-burn
%{prefix}/usr/local/bin/ib-config-as-eth
%{prefix}/usr/voltaire/common.sh
%{prefix}/usr/voltaire/linux-dist-name
%{prefix}/usr/voltaire/config-auto-vlans
%{prefix}/usr/voltaire/version
%{prefix}/usr/voltaire/gvd
%{prefix}/usr/voltaire/gvdctl
%{prefix}/etc/gvd.conf
%{prefix}/usr/voltaire/functions-ib.diff
%{prefix}/usr/voltaire/dhclient.conf
%{prefix}/etc/init.d/gridstack
%{prefix}/etc/modprobe.d/modprobe.conf.voltaire
%{prefix}/usr/voltaire/fw/BC-HSEC-128-DDR-Rev1-25208-4_7_600.img
%{prefix}/usr/voltaire/fw/BC-HSEC-128-DDR-Rev1-25208-4_7_927.img
%{prefix}/usr/voltaire/fw/BC-HSEC-128-SDR-Rev1-25208-4_7_600.img
%{prefix}/usr/voltaire/fw/BC-HSEC-128-SDR-Rev1-25208-4_7_927.img
%{prefix}/usr/voltaire/fw/HCA400Ex-25208-4_7_6.img
%{prefix}/usr/voltaire/fw/HCA400Ex-25208-4_7_927.img
%{prefix}/usr/voltaire/fw/HCA400Ex-D-25208-4_7_6.img
%{prefix}/usr/voltaire/fw/HCA400Ex-D-25208-4_7_927.img
%{prefix}/usr/voltaire/fw/HCA400Ex-rC-25208-4_7_6.img
%{prefix}/usr/voltaire/fw/HCA400Ex-rC-25208-4_7_927.img
%{prefix}/usr/voltaire/fw/HCA400-MLX_LP-23108-3_5_0.img
%{prefix}/usr/voltaire/fw/HCA400-SANMINA-23108-3_5_0.img
%{prefix}/usr/voltaire/fw/HCA410Ex-25204-1_1_0.img
%{prefix}/usr/voltaire/fw/HCA410Ex-D-25204-1_1_0.img
%{prefix}/usr/voltaire/fw/HCA410Ex-25204-1_2_0.img
%{prefix}/usr/voltaire/fw/HCA410Ex-D-25204-1_2_0.img
%{prefix}/usr/voltaire/fw/hpmezz-1.1.0.bin
%if %{suse}
%{prefix}/etc/sysconfig/network/ifup-pre-ib
%{prefix}/etc/sysconfig/network/ifdown-post-ib
%endif
%if %{redhat}
%{prefix}/etc/sysconfig/network-scripts/ifdown-post-ib
%{prefix}/etc/sysconfig/network-scripts/ifup-pre-ib
%endif


